Jump to content

MediaWiki:Gadget-NoContents-nickel.user.css: Difference between revisions

From LithoGraphica
Reversedragon (talk | contribs)
 
Reversedragon (talk | contribs)
m category
 
Line 15: Line 15:
.mediawiki #hide-toc, .mediawiki #hide-toc.nickel-bank + #toc { display: none; }
.mediawiki #hide-toc, .mediawiki #hide-toc.nickel-bank + #toc { display: none; }


/* [[C:Hue configuration Gadgets]] */
/* [[C:Hue configuration Gadgets]] [[C:Nickel page templates]] */

Latest revision as of 20:15, 20 March 2026

/* ==UserStyle==
@name           Hide TOC - nickel bank  (gadget-NoContents-nickel)
@description    Delete TOC on "nickel bank" pages
@namespace      github.com/openstyles/stylus
@version        1.0.1
@author         reverseDragon
==/UserStyle== */

/* MediaWiki has a "hide toc" feature, but it doesn't seem to remember which pages it is being used on, meaning the TOC always comes back on pages where you hid it. Either way, the CSS approach doesn't use cookies, and doesn't leave an ugly closed box behind.

To turn this on all the time, go to Preferences and select  gadget-NoContents-nickel -   [https://research.moraleconomy.au/index.php?title=Special:Preferences#mw-prefsection-gadgets]
To easily toggle this style on and off, install a user styles add-on, and then open this URL:
https://research.moraleconomy.au/index.php?action=raw&title=MediaWiki:Gadget-NoContents-nickel.user.css */

.mediawiki #hide-toc, .mediawiki #hide-toc.nickel-bank + #toc { display: none; }

/* [[C:Hue configuration Gadgets]] [[C:Nickel page templates]] */